Skip to main content
GET
List orders

Authorizations

Authorization
string
header
required

Authorization: Bearer gj_live_… (production) or gj_test_… (sandbox).

Query Parameters

status
enum<string>

new → accepted → packed → ready_for_pickup | out_for_delivery → completed. returning/returned when a courier could not deliver. cancelled: do not dispense.

Available options:
new,
accepted,
packed,
ready_for_pickup,
out_for_delivery,
completed,
returning,
returned,
cancelled
pharmacy_id
string<uuid>
prescription_stage
enum<string>

vorab lists orders still waiting for the signed prescription.

Available options:
vorab,
signed
updated_since
string<date-time>
cursor
string
limit
integer
default:50
Required range: 1 <= x <= 100

Response

A page of orders

data
object[]
required
next_cursor
string | null
required

Pass as cursor for the next page; null on the last page.

has_more
boolean
required